// iCancelDlg.h : header file
//

#if !defined(AFX_ICANCELDLG_H__C3ADFD60_DC73_4417_8205_1A2B881A3685__INCLUDED_)
#define AFX_ICANCELDLG_H__C3ADFD60_DC73_4417_8205_1A2B881A3685__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CICancelDlg dialog

class CICancelDlg : public CDialog
{
// Construction
public:
	CICancelDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CICancelDlg)
	enum { IDD = IDD_ICANCEL_DIALOG };
	CButton	m_Download;
	CProgressCtrl	m_Progress;
	CButton	m_Cancel;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CICancelDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	static UINT DownloadThread(LPVOID pContext);

	void Free();
	void DownloadFunc();
	BOOL Download(LPCTSTR pszRequest);
	DWORD GetPercent();
	void ShowPercent();

protected:
	HICON m_hIcon;
	HINTERNET m_hSession;
	HINTERNET m_hRequest;
	DWORD m_dwByteToRead;
	DWORD m_dwByteRead;
	DWORD m_dwError;
	CWinThread* m_pThread;
	CString m_strFileName;

	// Generated message map functions
	//{{AFX_MSG(CICancelDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDownload();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnDestroy();
	afx_msg LRESULT OnUpdateStatus(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnDownloadComplete(WPARAM wParam, LPARAM lParam);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ICANCELDLG_H__C3ADFD60_DC73_4417_8205_1A2B881A3685__INCLUDED_)
